Results 1 to 7 of 7

Thread: [OPEN-816] Charts expressInstall not working

Hybrid View

Previous Post Previous Post   Next Post Next Post
    Thank you for reporting this bug. We will make it our priority to review this report.
  1. #1
    Sencha User VinylFox's Avatar
    Join Date
    Mar 2007
    Location
    Baltimore, MD
    Posts
    1,501
    Vote Rating
    8
      0  

    Default [OPEN-816] Charts expressInstall not working

    Related post: http://www.extjs.com/forum/showthread.php?t=94876

    Ext version tested:
    • Ext 3.2.0 (release)


    Adapter used:
    • ext


    css used:
    • only default ext-all.css


    Browser versions tested against:
    • IE8
    • FF3.5.8


    Operating System:
    • WinXP


    Description:
    • Express install does not prompt to install Flash if Flash is not installed at all.


    Test Case:
    Use the /examples/chart/charts.html and add this between the ext-all.js and charts.js include.
    Code:
        <script>
            Ext.FlashComponent.EXPRESS_INSTALL_URL = '../../resources/expressinstall.swf';
            Ext.override(Ext.chart.Chart, {
                expressInstall: true
            });
        </script>
    Steps to reproduce the problem:
    • set the express install url
    • enable expressInstall
    • open charts.html in a browser without Flash installed


    The result that was expected:
    • user should be prompted to install Flash.


    The result that occurs instead:
    • nothing happens. empty div is created where chart should be.

  2. #2
    Sencha User Jamie Avins's Avatar
    Join Date
    Mar 2007
    Location
    Redwood City, California
    Posts
    3,661
    Vote Rating
    19
      0  

    Default

    I know you've been away for a bit, please don't set thread tags

  3. #3
    Sencha - Ext JS Dev Team evant's Avatar
    Join Date
    Apr 2007
    Location
    Sydney, Australia
    Posts
    18,377
    Vote Rating
    858
      0  

    Default

    Couldn't reproduce this.

    Ran it on IE6 in a VM that didn't have flash installed, got the prompt to install flash:

    Code:
    /*!
     * Ext JS Library 3.2.0
     * Copyright(c) 2006-2010 Ext JS, LLC
     * licensing@extjs.com
     * http://www.extjs.com/license
     */
    Ext.chart.Chart.CHART_URL = '../../resources/charts.swf';
    Ext.FlashComponent.EXPRESS_INSTALL_URL = '../../resources/expressinstall.swf';
    
    Ext.onReady(function(){
        var store = new Ext.data.JsonStore({
            fields: ['season', 'total'],
            data: [{
                season: 'Summer',
                total: 150
            },{
                season: 'Fall',
                total: 245
            },{
                season: 'Winter',
                total: 117
            },{
                season: 'Spring',
                total: 184
            }]
        });
        
        new Ext.Panel({
            width: 400,
            height: 400,
            title: 'Pie Chart with Legend - Favorite Season',
            renderTo: 'container',
            items: {
                expressInstall: true,
                store: store,
                xtype: 'piechart',
                dataField: 'total',
                categoryField: 'season',
                extraStyle:
                {
                    legend:
                    {
                        display: 'bottom',
                        padding: 5,
                        font:
                        {
                            family: 'Tahoma',
                            size: 13
                        }
                    }
                }
            }
        });
    });
    Evan Trimboli
    Sencha Developer
    Twitter - @evantrimboli
    Don't be afraid of the source code!

  4. #4
    Sencha User
    Join Date
    Mar 2009
    Posts
    3
    Vote Rating
    0
      0  

    Default

    The browser I used is FireFox!
    The expressInstall has been configured to true and the Ext.FlashComponent.EXPRESS_INSTALL_URL has been set. However, Express install does not prompt to install Flash at all.

  5. #5
    Sencha User VinylFox's Avatar
    Join Date
    Mar 2007
    Location
    Baltimore, MD
    Posts
    1,501
    Vote Rating
    8
      0  

    Default

    Evan,

    My bug report states IE8 and FF3.5.8 as the target browsers for this issue.

  6. #6
    Sencha Premium User
    Join Date
    Dec 2010
    Posts
    209
    Vote Rating
    3
      0  

    Default

    Is this ever going to be fixed? Still not working on FF 8 or 9.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •